"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const DEFAULT_SELECTED_BG = 'dodgerblue';
const DEFAULT_SELECTED_TEXT_COLOR = 'white';
const ListItem = /*#__PURE__*/(0, _react.memo)(props => {
  const {
    item,
    onSelect,
    isSelected,
    listItemTextStyle = {},
    listItemSelectedTextStyle = {},
    listItemSelectedBackgroundColor = DEFAULT_SELECTED_BG
    // TODO multiple for tick icon
    /* multiple */
  } = props;
  const handleClick = () => {
    onSelect(item.value);
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: handleClick
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.container, isSelected ? [{
      backgroundColor: listItemSelectedBackgroundColor
    }] : []]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.text, isSelected ? [styles.selectedText, listItemSelectedTextStyle] : [listItemTextStyle]]
  }, item.label)));
});
const styles = _reactNative.StyleSheet.create({
  container: {
    flexDirection: 'row',
    paddingVertical: 10,
    paddingHorizontal: 5,
    alignItems: 'center'
  },
  text: {
    textAlign: 'center',
    color: 'black'
  },
  selectedText: {
    color: DEFAULT_SELECTED_TEXT_COLOR
  }
});
ListItem.displayName = 'ListItem';
var _default = ListItem;
exports.default = _default;
//# sourceMappingURL=item.js.map